# UniTAP.dev.modules.dut_tests.dut_default_params.crc_video_tests

class CrcVideoTestBpp(enum.IntEnum):

Enum where members are also (and must be) ints

BPP12 = <CrcVideoTestBpp.BPP12: 12>
BPP15 = <CrcVideoTestBpp.BPP15: 15>
BPP16 = <CrcVideoTestBpp.BPP16: 16>
BPP18 = <CrcVideoTestBpp.BPP18: 18>
BPP20 = <CrcVideoTestBpp.BPP20: 20>
BPP21 = <CrcVideoTestBpp.BPP21: 21>
BPP24 = <CrcVideoTestBpp.BPP24: 24>
BPP30 = <CrcVideoTestBpp.BPP30: 30>
BPP32 = <CrcVideoTestBpp.BPP32: 32>
BPP36 = <CrcVideoTestBpp.BPP36: 36>
BPP48 = <CrcVideoTestBpp.BPP48: 48>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class BrokenFrameExportFormat(enum.IntEnum):

Enum where members are also (and must be) ints

BIN = <BrokenFrameExportFormat.BIN: 0>
PPM = <BrokenFrameExportFormat.PPM: 1>
BMP = <BrokenFrameExportFormat.BMP: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class CrcVideoTestParam:

Class `CrcVideoTestParam` describes requirement parameters for CRC tests:

- Set and get `timeout`. Describes test timeout, in milliseconds.
- Set and get `number_frames_to_test`. Describes total number of frames to be tested.
- Set and get `number_reference_frames`. Describes number of reference frames.
- Set and get `number_frames_mismatch`. Describes number of bad frames allowed in single CRC tests.
- Set and get `reference_width`. Describes expected video width, in pixels.
- Set and get `reference_height`. Describes expected video weight, in pixels.
- Set and get `reference_color_depth`. Describes expected color depth, as bits per pixel `CrcVideoTestBpp`.
- Set and get `required_frame_rate`. Describes expected frame rate, in millihertz (mHz).
- Set and get `frame_rate_tolerance`. Describes frame rate tolerance, in millihertz (mHz).
- Set and get `reference_crc_values`. Describes CRC reference values. Each CRC set consists of 3 16-bit words.
- Set and get `motion_test_iteration`. Describes the number of iterations the defined CRC sequence must be found in order to pass the test.
- Set and get `data_transfer_timeout`. Describes data transfer timeout in milliseconds.
- Set and get `failed_frames_folder`. Describes location where the failed frames are to be saved.
- Set and get `max_export_failed`. Describes the number of failed frames to be exported from the video test.

CrcVideoTestParam(json_obj)
timeout: int

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

number_frames_to_test: int

Set and get total number of frames to be tested.

###### Returns:

> object of int type

number_reference_frames: int

Set and get number of reference frames.

###### Returns:

> object of int type

number_frames_mismatch: int

Set and get number of bad frames allowed in single CRC tests.

###### Returns:

> object of int type

reference_width: int

Set and get expected video width, in pixels.

###### Returns:

> object of int type

reference_height: int

Set and get expected video weight, in pixels.

###### Returns:

> object of int type

reference_color_depth: int

Set and get expected color depth, as bits per pixel `CrcVideoTestBpp`.

###### Returns:

> object of int type

required_frame_rate: int

Set and get expected frame rate, in millihertz (mHz).

###### Returns:

> object of int type

frame_rate_tolerance: int

Set and get frame rate tolerance, in millihertz (mHz).

###### Returns:

> object of int type

reference_crc_values: list

Set and get CRC reference values. Each CRC set consists of 3 16-bit words.

###### Returns:

> object of list type

motion_test_iteration: int

Set and get number of iterations the defined CRC sequence must be found in order to pass the test.

###### Returns:

> object of int type

data_transfer_timeout: int

Set and get data transfer timeout in milliseconds.

###### Returns:

> object of int type

failed_frames_folder: str

Set and get location where the failed frames are to be saved.

###### Returns:

> object of int type

max_export_failed: int

Set and get number of failed frames to be exported from the video test.

###### Returns:

> object of int type

export_format: BrokenFrameExportFormat

Set and get crc failed frame file format.

###### Returns:

> object of int type